@import "./Scss/base/_colors";

body {
  background-image: linear-gradient(to right, #606c88, #3f4c6b);
  // background-image: linear-gradient(to right, #3f4c6b, #b197fc);
  // background-image: url("./assests/manasha1.jpg");
  height: 100%;
  width: 100%;
  background-size: cover;
  background-origin: content-box;
  // animation-name: backgroundColor;
  // animation: 13s infinite alternate slidein;
  // animation-name: example;
  // animation-duration: 14s;
}
.ant-modal-title {
  // background-color: red;
  text-align: center;
  color: #b0779a !important;
  font-size: 4rem !important;
}
@keyframes example {
  0% {
    background-image: linear-gradient(to right, #3f4c6b, #b197fc);
  }
  50% {
    background-image: linear-gradient(to right, #2c3e50, #4ca1af);
  }
  100% {
    background-image: linear-gradient(to right, #606c88, #3f4c6b);
  }
}

.App {
  .Unversity_h1 {
    text-align: center;
    color: #4fb8b6;
    font-style: italic;
  }
}
.DashBoardPage {
  margin: 2%;
  &__Collage-pics {
    text-align: center;
    h1 {
      color: #4fb8b6;
      font-style: italic;
    }
    .ant-btn {
      background-color: #2d80b5;
      color: white;
      border: none;
      font-size: 2rem;
      height: auto;
    }
  }
  &__Tab {
    display: grid;
    margin: 0 auto;
    h1 {
      color: #4fb8b6;
      font-style: italic;
    }
    .ant-btn {
      background-color: #4fb8b6;
      color: white;
      border: none;
      font-size: 2rem;
      height: auto;
    }
    &__container {
      margin-left: 12%;
      // background-color: red;
      & > div {
        margin-bottom: 3%;
        h1 {
          margin-bottom: 0;
        }
      }
    }
  }
}
.form {
  display: grid;
  justify-items: center;
  .ant-form-item-label > label {
    color: white;
    font-style: italic;
    font-size: 2rem;
    font-weight: 900;
    transform: translateX(-7rem);
  }
  .ant-input-number {
    width: 100%;
  }
  .submit {
    // .ant-form-horizontal .ant-form-item-control {
    //   // margin: 0 !important;
    // }
    .ant-form-item-control {
      margin: 0;
    }
    // transform: translateX(-7rem);
    .ant-btn-primary {
      background-color: #4fb8b6;
      color: white;
      border: none;
      width: 100%;
      font-size: 2rem;
      font-weight: 900;
      height: auto;
    }
  }
  .ant-form-horizontal .ant-form-item-label {
    overflow: visible;
  }
}
.SearchByRollNo {
  &__search {
    .ant-input-group-wrapper {
      display: inline-block;
      width: 81%;
      text-align: start;
    }
    margin: 2%;
  }
}
.ant-modal {
  width: 80% !important;
  .ant-modal-content {
    background-color: #777777;
  }
}
/// paginaation style start here

.anticon-spin {
  font-size: 100px !important;
  color: #2d80b5;
  // top: 50%;
  // left: 50%;
}
.ant-spin-spinning {
  position: fixed !important;
  top: 50% !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;
  color: #2d80b5 !important;
  z-index: 1000;
}
svg {
  color: #2d80b5;
}
.ant-table-pagination.ant-pagination {
  display: flex;
  justify-content: center;
  margin-top: 6%;
}
.ant-pagination {
  float: unset !important;
  text-align: center;

  .ant-pagination-item-active {
    background: #2d80b5;
    border-color: #2d80b5;
    border-radius: 50%;
  }
  .ant-pagination-item a {
    color: var(--black-fourth);
    padding-top: 1px;
    padding-bottom: 1px;
    &:hover {
      color: #2d80b5;
    }
  }
  .ant-pagination-item-active a {
    color: $white;
    &:hover {
      color: $white;
    }
  }
  .ant-pagination-prev {
    margin-right: 1rem !important;
  }
  .ant-pagination-next {
    margin-left: 1rem !important;
  }
  .ant-pagination-prev .ant-pagination-item-link,
  .ant-pagination-next .ant-pagination-item-link {
    background: $white !important;
    border-radius: 50%;
    box-shadow: 0 0.6px 2px 0.25px;
  }
  .ant-pagination-prev:focus .ant-pagination-item-link,
  .ant-pagination-next:focus .ant-pagination-item-link,
  .ant-pagination-prev:hover .ant-pagination-item-link,
  .ant-pagination-next:hover .ant-pagination-item-link {
    color: var(--black-eight);
  }
  .ant-pagination-item:not(.ant-pagination-item-active) {
    border-radius: 50%;
  }
  .anticon {
    vertical-align: -1px;
    color: var(--ash-fivth);
  }
}

@media only screen and (max-width: 56.25em) {
  .ant-pagination {
    float: unset !important;
    text-align: center;
    .ant-pagination-item-active {
      background: $primary;
      border-color: $primary;
      border-radius: 50%;
    }
    .ant-pagination-item a {
      color: var(--black-fourth);
      padding-top: 1px;
      padding-bottom: 1px;
      font-family: var(--Book);
      &:hover {
        color: $primary;
      }
    }
    .ant-pagination-item-active a {
      color: $white;
      &:hover {
        color: $white;
      }
    }
    .ant-pagination-prev {
      margin-right: 1rem !important;
    }
    .ant-pagination-next {
      margin-left: 1rem !important;
    }
    .ant-pagination-prev .ant-pagination-item-link,
    .ant-pagination-next .ant-pagination-item-link {
      background: $white !important;
      border-radius: 50%;
      box-shadow: 0 0.6px 2px 0.25px;
    }
    .ant-pagination-prev:focus .ant-pagination-item-link,
    .ant-pagination-next:focus .ant-pagination-item-link,
    .ant-pagination-prev:hover .ant-pagination-item-link,
    .ant-pagination-next:hover .ant-pagination-item-link {
      color: var(--black-eight);
    }
    .ant-pagination-item:not(.ant-pagination-item-active) {
      border-radius: 50%;
    }
    .anticon {
      vertical-align: -1px;
      color: var(--ash-fivth);
    }
  }
}

@media only screen and (max-width: 37em) {
  .ant-pagination {
    float: unset !important;
    text-align: center;
    .ant-pagination-item-active {
      background: $primary;
      border-color: $primary;
      border-radius: 50%;
    }
    .ant-pagination-item a {
      font-size: 1.5rem;
      color: var(--black-fourth);
      padding-top: 0px;
      padding-bottom: 1px;
      font-family: var(--Book);
      &:hover {
        color: $primary;
      }
    }
    .ant-pagination-item {
      // width: 2.5rem;
      height: 2.8rem;
    }
    .ant-pagination-item-active a {
      color: $white;
      &:hover {
        color: $white;
      }
    }
    .ant-pagination-prev {
      margin-right: 1rem !important;
    }
    .ant-pagination-next {
      margin-left: 1rem !important;
    }
    .ant-pagination-prev .ant-pagination-item-link,
    .ant-pagination-next .ant-pagination-item-link {
      background: $white !important;
      border-radius: 50%;
      box-shadow: 0 0.6px 2px 0.25px;
    }
    .ant-pagination-prev:focus .ant-pagination-item-link,
    .ant-pagination-next:focus .ant-pagination-item-link,
    .ant-pagination-prev:hover .ant-pagination-item-link,
    .ant-pagination-next:hover .ant-pagination-item-link {
      color: var(--black-eight);
    }
    .ant-pagination-item:not(.ant-pagination-item-active) {
      border-radius: 50%;
    }
    .anticon {
      vertical-align: -1px;
      color: var(--ash-fivth);
    }
  }
}
// pagination style ends her
